------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(37, 42)
local Player_1 = CppScriptMgr:AddSimplePlayer(4377, 39, 44, "", 0, 0)
Player_1:SetDir(7)
CppScriptMgr:WaitMilSec(500)
Player_1:Say("Why do people bully me?", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Why did my parents abandon me as well?", 1000)
CppScriptMgr:WaitMilSec(1000)
local Effect_1 = CppScriptMgr:AddEffect("killerPattern", 39, 44, 33, 1, 1, 1)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 39, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1000)
local Player_2 = CppScriptMgr:AddSimplePlayer(177, 39, 44, "", 0, 0)
Player_2:SetZoomPercent(180)
Player_1:SetHide(1)
Player_2:SetDir(7)
local Effect_4 = CppScriptMgr:AddEffect("6195480_none", 39, 44, 33, 1, 1, 1)
Effect_4:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("The world mistreats me. Why?!", 1000)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Why was I born so lowly? I cannot accept it!", 1000)
CppScriptMgr:WaitMilSec(1260)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e233", 39, 44, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(740)
local Effect_3 = CppScriptMgr:AddEffect("CartoonDisplay", 39, 44, 33, 1, 1, 1)
Effect_3:Scale(1.5, 1.5, 1.5)
CppScriptMgr:ClearEffect(Effect_4)
Player_2:SetHide(1)
CppScriptMgr:WaitMilSec(930)
LaJin(200, 15, 10, 60)
local Player_3 = CppScriptMgr:AddPlayer(903, 39, 44, "ZombieMaster", 0, 0)
Player_3:SetDir(7)
Player_3:SetZoomPercent(200)
local effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill4xh", 39, 44, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("KillerPattern", 39, 44, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(990)
CppScriptMgr:NpcCallOut("Your resentment runs too deep and turns you into a demon. This is unacceptable!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month1", 150, 430, "Taoist", 250, 655, false)
CppScriptMgr:WaitMilSec(770)
Player_3:SetAction(401)
CppScriptMgr:WaitMilSec(1230)
CppScriptMgr:NpcCallOut("How could sanctimonious guys like you understand my hatred!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "ZombieMaster", 250, 655, false)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("The Holy Sword Array could have eliminated your resentment. You should have practiced diligently!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month1", 150, 430, "Taoist", 250, 655, false)
CppScriptMgr:WaitMilSec(1960)
Player_3:SetAction(101)
CppScriptMgr:NpcCallOut("Those shabby swords? Ridiculous!", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc35674", 150, 430, "ZombieMaster", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)